Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(301)

Issue 1218773003: Implement a DRIVE_REQUEST_TOO_LARGE backoff. (Closed)

Created:
5 years, 5 months ago by mtomasz
Modified:
5 years, 5 months ago
CC:
chromium-reviews, kinuko+fileapi, nhiroki, tzik
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Implement a DRIVE_REQUEST_TOO_LARGE backoff. 1. Added DRIVE_REQUEST_TOO_LARGE error code. 2. Implemented google_apis::FilesListRequestRunner (with backoff) 3. Renamed StartRequestWithRetry to *WithAuthRetry, so it's clear what is that retry about (as we have now two types of retries in google_apis:: drive code). TEST=google_apis_unittests: *FilesListRequestRunner* BUG=433716 Committed: https://crrev.com/a8a2de415f6597088f4a2f1e8610b5133c177cfd Cr-Commit-Position: refs/heads/master@{#336742}

Patch Set 1 #

Patch Set 2 : Cleaned up. #

Patch Set 3 : Added missing code + tests. #

Patch Set 4 : Fixed GN. #

Patch Set 5 : Rebased. #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+571 lines, -147 lines) Patch
M chrome/browser/drive/drive_api_service.h View 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/browser/drive/drive_api_service.cc View 1 31 chunks +48 lines, -65 lines 0 comments Download
M chrome/browser/drive/drive_api_service_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/sync_file_system/drive_backend/drive_backend_util.cc View 1 chunk +1 line, -0 lines 0 comments Download
M google_apis/BUILD.gn View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
M google_apis/drive/base_requests.cc View 1 2 3 4 2 chunks +3 lines, -0 lines 0 comments Download
M google_apis/drive/base_requests_server_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M google_apis/drive/base_requests_unittest.cc View 2 chunks +6 lines, -7 lines 0 comments Download
M google_apis/drive/drive_api_error_codes.h View 1 chunk +1 line, -0 lines 0 comments Download
M google_apis/drive/drive_api_error_codes.cc View 1 chunk +26 lines, -23 lines 0 comments Download
M google_apis/drive/drive_api_requests_unittest.cc View 1 2 3 4 39 chunks +39 lines, -39 lines 0 comments Download
A google_apis/drive/files_list_request_runner.h View 1 2 1 chunk +71 lines, -0 lines 1 comment Download
A google_apis/drive/files_list_request_runner.cc View 1 2 1 chunk +77 lines, -0 lines 0 comments Download
A google_apis/drive/files_list_request_runner_unittest.cc View 1 2 1 chunk +273 lines, -0 lines 0 comments Download
M google_apis/drive/request_sender.h View 2 chunks +3 lines, -2 lines 0 comments Download
M google_apis/drive/request_sender.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M google_apis/drive/request_sender_unittest.cc View 5 chunks +10 lines, -5 lines 0 comments Download
M google_apis/google_apis.gyp View 1 2 2 chunks +3 lines, -0 lines 0 comments Download

Messages

Total messages: 13 (4 generated)
mtomasz
@kinaba: PTAL. Thanks.
5 years, 5 months ago (2015-06-30 04:22:23 UTC) #2
mtomasz
@tzik: PTAL at chrome/browser/sync_file_system/drive_backend/drive_backend_util.cc. Thanks.
5 years, 5 months ago (2015-06-30 04:39:44 UTC) #4
tzik
lgtm
5 years, 5 months ago (2015-06-30 07:52:01 UTC) #5
kinaba
lgtm
5 years, 5 months ago (2015-06-30 08:34:23 UTC) #6
mtomasz
On 2015/06/30 08:34:23, kinaba wrote: > lgtm Thanks!
5 years, 5 months ago (2015-06-30 08:37:37 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1218773003/80001
5 years, 5 months ago (2015-06-30 08:37:46 UTC) #9
commit-bot: I haz the power
Committed patchset #5 (id:80001)
5 years, 5 months ago (2015-06-30 08:41:53 UTC) #10
commit-bot: I haz the power
Patchset 5 (id:??) landed as https://crrev.com/a8a2de415f6597088f4a2f1e8610b5133c177cfd Cr-Commit-Position: refs/heads/master@{#336742}
5 years, 5 months ago (2015-06-30 08:42:46 UTC) #11
Primiano Tucci (use gerrit)
5 years, 5 months ago (2015-06-30 09:25:04 UTC) #13
Message was sent while issue was closed.
https://codereview.chromium.org/1218773003/diff/80001/google_apis/drive/files...
File google_apis/drive/files_list_request_runner.h (right):

https://codereview.chromium.org/1218773003/diff/80001/google_apis/drive/files...
google_apis/drive/files_list_request_runner.h:24: class FilesListRequestRunner {
I think these should be SOMETHING_EXPORT, this broke the ability to do a
component=shared_library build on mac


../../chrome; export SOURCE_ROOT="${SRCROOT}"; export
TARGET_BUILD_DIR=/Volumes/SSD/chromium-code/src/out/Debug; export
TEMP_DIR="${TMPDIR}"; (cd ../../chrome && tools/build/mac/verify_order
_ChromeMain "${BUILT_PRODUCTS_DIR}/${EXECUTABLE_PATH}"); G=$?; ((exit $G) || rm
-rf libchrome_main_dll.dylib) && exit $G) && { otool -l libchrome_main_dll.dylib
| grep LC_ID_DYLIB -A 5; nm -gP libchrome_main_dll.dylib | cut -f1-2 -d' ' |
grep -v U$; true; } > libchrome_main_dll.dylib.tmp && if ! cmp -s
libchrome_main_dll.dylib.tmp libchrome_main_dll.dylib.TOC; then mv
libchrome_main_dll.dylib.tmp libchrome_main_dll.dylib.TOC ; fi; fi
Undefined symbols for architecture x86_64:
  "google_apis::FilesListRequestRunner::CreateAndStartWithSizeBackoff(int,
std::string const&, std::string const&, base::Callback<void
(google_apis::DriveApiErrorCode, scoped_ptr<google_apis::FileList,
base::DefaultDeleter<google_apis::FileList> >)> const&)", referenced from:
      drive::DriveAPIService::GetFileListInDirectory(std::string const&,
base::Callback<void (google_apis::DriveApiErrorCode,
scoped_ptr<google_apis::FileList, base::DefaultDeleter<google_apis::FileList>
>)> const&) in libbrowser.a(browser.drive_api_service.o)
      drive::DriveAPIService::Search(std::string const&, base::Callback<void
(google_apis::DriveApiErrorCode, scoped_ptr<google_apis::FileList,
base::DefaultDeleter<google_apis::FileList> >)> const&) in
libbrowser.a(browser.drive_api_service.o)
 
"google_apis::FilesListRequestRunner::FilesListRequestRunner(google_apis::RequestSender*,
google_apis::DriveApiUrlGenerator const&)", referenced from:
      drive::DriveAPIService::Initialize(std::string const&) in
libbrowser.a(browser.drive_api_service.o)
  "google_apis::FilesListRequestRunner::~FilesListRequestRunner()", referenced
from:
     
base::DefaultDeleter<google_apis::FilesListRequestRunner>::operator()(google_apis::FilesListRequestRunner*)
const in libbrowser.a(browser.drive_api_service.o)
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
ninja: build stopped: subcommand failed.

Powered by Google App Engine
This is Rietveld 408576698